com.tibbo.aggregate.common.binding

## Class ExtendedBinding

- java.lang.Object
- - com.tibbo.aggregate.common.binding.ExtendedBinding

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable

      public class ExtendedBinding
      extends java.lang.Object
      implements java.lang.Cloneable, PublicCloneable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedBinding(Binding binding, EvaluationOptions evaluationOptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtendedBinding` | `clone()`
    `java.lang.String` | `displayString()`
    `boolean` | `equals(java.lang.Object o)`
    `java.util.Collection<Reference>` | `getAllReferences()`
    `Binding` | `getBinding()`
    `EvaluationOptions` | `getEvaluationOptions()`
    `int` | `hashCode()`
    `void` | `setBinding(Binding binding)`
    `void` | `setEvaluationOptions(EvaluationOptions evaluationOptions)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedBinding

          public ExtendedBinding(Binding binding,
                                 EvaluationOptions evaluationOptions)

  - ### Method Detail

    - #### clone

          public ExtendedBinding clone()

      Specified by:
        `clone` in interface `PublicCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getBinding

          public Binding getBinding()

    - #### setBinding

          public void setBinding(Binding binding)

    - #### getEvaluationOptions

          public EvaluationOptions getEvaluationOptions()

    - #### setEvaluationOptions

          public void setEvaluationOptions(EvaluationOptions evaluationOptions)

    - #### getAllReferences

          public java.util.Collection<Reference> getAllReferences()
                                                           throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`

    - #### displayString

          public java.lang.String displayString()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`